Updates the company with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

company
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

is_client

SALES : Indicate if can be used for ordering

boolean
is_supplier

SERVICES : indicate if this company is a supplier

boolean
archived

Archive this company to not have it anymore on the search

boolean
name

string

Required

Max length: 64

notes

Notes/Remark field

string
create_date

Creation date+time

date
sales_territory_id

Territory of the company (Sales+Services).If more than one sales_territory exists, then it must be filled

globally unique identifier
sales_territory_code

Embedded entity "sales_territory" using ERP PK when adding/updating company

string
sales_territory

Embedded entity "sales_territory" using node when adding/updating company

sales_territory
marketing_segment_id

Marketing Segment of the company (Sales (Visit frequency logic) +Services (Planning Jobs To Be Planned) )

globally unique identifier
marketing_segment_code

Embedded entity "marketing_segment" using ERP PK when adding/updating company

string
marketing_segment

Embedded entity "marketing_segment" using node when adding/updating company

marketing_segment
sales_organization_id

Organization on which belongs the company.If more than one sales_organization exists, then it must be filled

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating company

sales_organization
company_sales_status_code

Foreign key of company_sales_status using code. Use "Normal,CreditRisk, BlockedbyCM or OrderBlocked"

string
vat_reg_code

VAT number

string

Max length: 50

is_working_address

Services : If False, you cannot create project/installation on this company.Default=true

boolean
parent_id

Reference to a parent company (in case of Child/Parent) when adding/updating company

globally unique identifier
parent_company_code

Embedded entity "company" for parent (in case of Child/Parent) using ERP PK when adding/updating company

string
parent_company

Embedded entity "company" for parent (in case of Child/Parent) when adding/updating company

company
phone

Phone number of the company

string

Max length: 50

fax

Fax number of the company

string

Max length: 50

url

URL of the company website

string

Max length: 255

email

email

string

Max length: 250

street

Address:Street

string

Max length: 100

street_number

Address:Street Number. If your ERP doesn't have this field, then only use field "street" and disable the street number on Odyssee/Admin/Impl Settings/Global Settings:Hide Street Number

string

Max length: 50

city

Address:City

string

Max length: 50

zip

Address:Zip

string

Max length: 50

db_country_id

Address:Country

globally unique identifier
db_country_code

Address:CountryCode entity using international code when adding/updating company

string
feelist_id

FeeList activated for the company (On Service, Feelist determines the price of the invoicable timesheets)

globally unique identifier
feelist_reference_back_office

Embedded entity "feelist" using ERP PK when adding/updating company

string
feelist

Embedded entity "feelist" using node when adding/updating company

feelist
company_type_id

Company Type

globally unique identifier
company_type_name

Embedded entity "company_type" using ERP PK when adding/updating company

string
company_type

Embedded entity "company_type" using node when adding/updating company

company_type
db_language_id

Language of the company.If empty, will use the default on the system

globally unique identifier
db_language_code

Language code entity using international isocode when adding/updating company

string
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

article_price_label_id

Foreign key of article price label

globally unique identifier
article_price_label_code

Embedded entity "article price label" using ERP PK when adding/updating

string
article_price_label

Embedded entity "article price label" when adding/updating

article_price_label
db_payment_method_id

Embedded entity "db payment methods" using ERP PK when adding/updating company

globally unique identifier
db_payment_method_reference_back_office

Embedded entity "db payment methods" using ERP PK when adding/updating company

string
db_payment_methods

Embedded entity "db payment methods" using ERP PK when adding/updating company

db_payment_methods
company_sector_id

Foreign key to company_sector

globally unique identifier
company_sector_code

Embedded code for the company_sector using ERP PK when adding/updating

string
company_sector

Embedded entity for the company_sector using the key from an external system when adding/updating object

company_sector
is_lead

Indicate that company is not already a customer

boolean
is_subcontractor

For Service, that company is one of your subcontractors

boolean
latitude

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
street2

Additional information on the address not part of the postal address

string
bic_code

bic code

string
specialities

specialities

string
register_number

register_number

string
register_city

register_city

string
bankaccount

Bank account of the company.

string
mobile

Mobile number of the company

string

Max length: 50

service_manager_user_id

ID of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

globally unique identifier
service_manager_user_code

Embedded code of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

string
service_manager_user

Embedded entity of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags

user
finance_manager_user_id

ID of the finance manager. Only used inside communication and tags

globally unique identifier
finance_manager_user_code

Embedded code of the finance manager. Only used inside communication and tags

string
finance_manager_user

Embedded entity of the finance manager. Only used inside communication and tags

user
account_manager_user_id

ID of the account manager. Only used inside communication and tags

globally unique identifier
account_manager_user_code

Embedded code of the account manager. Only used inside communication and tags

string
account_manager_user

Embedded entity of the account manager. Only used inside communication and tags

user
company_status_id

Company Status

globally unique identifier
invoice_email_to

Email to send invoice

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric)

integer

Request Formats :

application/json, text/json

Sample:
{
  "id": "fbbd226c-b88d-4ddd-b7a4-126c0368da98",
  "is_client": true,
  "is_supplier": true,
  "archived": true,
  "name": "sample string 5",
  "notes": "sample string 6",
  "create_date": "2026-10-18T07:53:33.8778696+00:00",
  "sales_territory_id": "c8234b28-1b36-4648-a1ab-e82b7befec5b",
  "sales_territory_code": "sample string 9",
  "sales_territory": {
    "id": "70ced742-300c-40c9-a90e-ca655492cafb",
    "code": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "45fd4f27-0de5-4471-b96c-a9e7431b4e6b",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "34cd529b-560d-401e-914d-ad8fa5b17a3f",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "5b96d544-e5b3-4a7f-a492-c06d2d6d0056",
      "db_currency_id": "d4ccfb9f-169f-4873-9ddf-952a9eb0b575",
      "db_language_id": "79188d37-5b57-4f00-b50e-00cbfd7e2345",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-18T07:53:33.8778696+00:00"
    },
    "modified_dateutc": "2026-10-18T07:53:33.8778696+00:00"
  },
  "marketing_segment_id": "650c3e49-7afb-48ac-a56c-642c31deffc6",
  "marketing_segment_code": "sample string 11",
  "sales_organization_id": "fdcb8320-d376-442a-a10d-c52b84130d60",
  "sales_organization_code": "sample string 13",
  "company_sales_status_code": "sample string 14",
  "vat_reg_code": "sample string 15",
  "is_working_address": true,
  "parent_id": "77633b0a-dc1f-4fc1-9f6d-4346d5f207f9",
  "parent_company_code": "sample string 18",
  "phone": "sample string 19",
  "fax": "sample string 20",
  "url": "sample string 21",
  "email": "sample string 22",
  "street": "sample string 23",
  "street_number": "sample string 24",
  "city": "sample string 25",
  "zip": "sample string 26",
  "db_country_id": "aa09fe3f-325e-442f-9fe8-75d33b77a022",
  "db_country_code": "sample string 28",
  "feelist_id": "94a0fb06-40ce-4428-b66c-91099678d735",
  "feelist_reference_back_office": "sample string 30",
  "feelist": {
    "id": "0b0a98ff-3acf-4901-b8d7-17782df62ac8",
    "name": "sample string 2",
    "description": "sample string 3",
    "is_default": true,
    "default_price": 1.0,
    "sales_organization_id": "3f1f46a4-732e-4d53-a1a2-ba609a1d6a0f",
    "sales_organization_code": "sample string 6",
    "reference_back_office": "sample string 7",
    "modified_dateutc": "2026-10-18T07:53:33.8778696+00:00",
    "db_currency_id": "e87ad021-7ce7-432b-a2b1-773928049b6f",
    "db_currency_code": "sample string 10"
  },
  "company_type_id": "80ab2348-6da5-4a47-a4c0-c4934f491c23",
  "company_type_name": "sample string 32",
  "company_type": {
    "id": "8ebccda3-1641-41e3-8eef-5dd2e44af9fe",
    "name": "sample string 2",
    "description": "sample string 3",
    "sales_organization_id": "5f6c4935-1a20-49cb-9228-e2c1ec1300cf",
    "sales_organization_code": "sample string 5"
  },
  "db_language_id": "cd8f32ab-7f76-4874-a23a-aa731a0c5ef6",
  "db_language_code": "sample string 34",
  "code": "sample string 35",
  "article_price_label_id": "c0e438e0-215f-4a95-b154-76480345579f",
  "article_price_label_code": "sample string 37",
  "db_payment_method_id": "0a1fdeeb-d247-4f60-92a4-12b18e71036a",
  "db_payment_method_reference_back_office": "sample string 39",
  "db_payment_methods": {
    "id": "91011425-112e-49ba-a92f-024781534f00",
    "name": "sample string 2",
    "description": "sample string 3",
    "reference_back_office": "sample string 4",
    "activated": true,
    "modified_dateutc": "2026-10-18T07:53:33.8778696+00:00"
  },
  "company_sector_id": "40e803b5-8d52-46aa-9a52-68ef16bdb20b",
  "company_sector_code": "sample string 41",
  "is_lead": true,
  "is_subcontractor": true,
  "latitude": 1.0,
  "longitude": 1.0,
  "street2": "sample string 44",
  "bic_code": "sample string 45",
  "specialities": "sample string 46",
  "register_number": "sample string 47",
  "register_city": "sample string 48",
  "bankaccount": "sample string 49",
  "mobile": "sample string 50",
  "service_manager_user_id": "4ff44f9b-54f4-40e2-9351-f3647403a2b8",
  "service_manager_user_code": "sample string 52",
  "finance_manager_user_id": "929e5192-6b3b-4bd8-8d4d-9d9c8025bda2",
  "finance_manager_user_code": "sample string 54",
  "account_manager_user_id": "c1aff619-0703-463a-80c0-3761a534e3df",
  "account_manager_user_code": "sample string 56",
  "company_status_id": "0eba452d-c186-4ae4-a28f-363bc2c838ef",
  "invoice_email_to": "sample string 58",
  "modified_dateutc": "2026-10-18T07:53:33.8778696+00:00",
  "id2": 60
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.